Loading...
Searching...
No Matches
Magick::thresholdImage Class Reference

## Public Member Functions

| thresholdImage (const double threshold_)
void | operator() (Image &image_) const

## Private Attributes

double | _threshold

## Detailed Description

Definition at line 1171 of file STL.h.

## Constructor & Destructor Documentation

## thresholdImage()

Magick::thresholdImage::thresholdImage | ( | const double | threshold_ | ) |

Definition at line 1088 of file STL.cpp.

: _threshold( threshold_ )
{
}

## Member Function Documentation

## operator()()

void Magick::thresholdImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1092 of file STL.cpp.

{
image_.threshold( _threshold );
}

## Field Documentation

## _threshold

double Magick::thresholdImage::_threshold

private

Definition at line 1179 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp